<?php
/**
 * HelpClientUtil class file.
 * @author  Digital Mesh <info@digitalmesh.com>
 * @copyright Copyright &copy; Digital Mesh 2013-
 * @license http://www.opensource.org/licenses/bsd-license.php New BSD License
 * @package HelpSystem
 */
class HelpClientUtil{
	
	/**
	 * Create a recursive Child Topic of the correcponding parent Topic
	 * @param object $topic
	 * @return $children string
	 */
	public function createChildTree($topic){
		$children ='';
		if(!empty($topic['children'])){
			$children = '<ul>';
			foreach($topic['children'] as $child){
			
				$children.='<li><a href="#"
	 				topicid = "'.$child["id"].'"
	 				sectionid = "'.$child["sectionId"].'"
	 				class ="topicItem" >'.CHtml::encode($child["title"]).'</a>';
					$children.=self::createChildTree($child);
				$children.='</li>';
			
			
			
			}
			$children .= '</ul>';
		}
		
		return $children;
	}
}