<?php
/** This is the CFormModel class
 * 
 * @author  Digital Mesh <info@digitalmesh.com>
 * @copyright Copyright &copy; Digital Mesh 2013-
 * @license http://www.opensource.org/licenses/bsd-license.php New BSD License
 * @package HelpSystem
 * 
 * The followings are the available attributes in CFormmodel TopicForm
 * @property integer $section
 * @property string $sectionText
 * @property string $title
 * @property integer $parent
 * @property string $body
 */
class TopicForm extends CFormModel{
	public $section;
	public $sectionText;
	public $title;
	public $parent;
	public $body;
	

	/**
	 * @return array validation rules for CFormmodel attributes.
	 */
	public function rules(){
		return array(
		  array('title','required'),
				array('title', 'length','max'=>100),
				array('sectionText','length','max'=>100)
		
			);
	}
	
	/**
	 * @return array customized attribute labels (name=>label)
	 */	
public function attributeLabels()
	{
		return array(
			'section'=>'Section',
			'title'=>'Title',
			'parent'=>'Parent',
			'attachment'=>'Attachment',
			'body'=>'Body',
		);
	}
	
}
