 <?php 
 Yii::app()->clientScript->registerScriptFile($this->getModule('admin')->getAdminAsset().'/js/topic.add.js');
 ?>
 <div class="contain">
          <div class="topiclist">
            <ul id="myTab" class="nav nav-tabs">
              <li class="active"><?php echo CHtml::link("Topic",
              		Yii::app()->createUrl("helpSystem/admin/topic"),
              		array("title"=>"Topic"));?></li>
              <li class=""><?php echo CHtml::link("Section",
              		Yii::app()->createUrl("helpSystem/admin/section"),
              		array("title"=>"Section"));?></li>              
            </ul>            
         	<div class="<?php echo $bootstrapClass->getBootstrapClass("topicAdd","span12Mtop20");?>">
                 <?php $form=$this->beginWidget('CActiveForm', array(
								'id'=>'topic-add-form',
								'enableClientValidation'=>true,
								'focus'=>array($topicForm,'section'),
								'clientOptions'=>array(
									'validateOnSubmit'=>true,
									'afterValidate'=>"js:ValidateSection"
	    						),                 		
                 				'htmlOptions'=>array('class'=>'commonForm',
                 						'enctype'=>'multipart/form-data'
                 				),
							)); ?>
                   <div class="row">
                        <div class="<?php echo $bootstrapClass->getBootstrapClass("topicAdd","span3");?>">Section*</div>
                        <div class="<?php echo $bootstrapClass->getBootstrapClass("topicAdd","span6");?>">
                                <?php 
                        if($editTopic)
                        {
                        	echo "<div class='Wbreak'>".CHtml::encode($topicForm->section)."</div>";
                        	
                        }
                        else
                     {
                        	echo CHtml::hiddenField("topicAdminUrl",Yii::app()->createUrl("helpSystem/admin/topic/AjaxTopicTagList"));
                        	echo $form->dropDownList($topicForm,'section',$sectionList,
                        			array("empty"=>"Please select",'class'=>$bootstrapClass->getBootstrapClass("topicAdd","formControl"))                       			
                        			);
							 echo $form->textField($topicForm,'sectionText',
                          		array('class'=>$bootstrapClass->getBootstrapClass("topicAdd","formControl"),
									  'style'=>'display:none;'));
							echo $form->error($topicForm,'sectionText',
								array('class'=>$bootstrapClass->getBootstrapClass("topicAdd","textError")));
							echo $form->error($topicForm,'section',array(
								'class'=>$bootstrapClass->getBootstrapClass("topicAdd","textError")));
							echo $form->error($sectionTextModel,'Name',array(
								'class'=>$bootstrapClass->getBootstrapClass("topicAdd","textError")));
								
                        }
                        
				 		?>
                        </div>
                        <div class="<?php echo $bootstrapClass->getBootstrapClass("topicAdd","span3Mtop4");?>">
                        <?php 
                        if(!$editTopic){
                        	echo CHtml::link("Add New Section",
                        			"#",
                        			array("class"=>$bootstrapClass->getBootstrapClass("topicAdd","btnBtnPrimaryBtnMini")." topicAddButton",
                        										"title"=>"Add New Section"));}?>
                        								<?php echo CHtml::imageButton(
                        										$this->getModule('admin')->getAdminAsset()."/img/revert.jpeg",array(
                        							"style"=>"display:none;width:20px;height:20px;",
                        												"class"=>"revertButton",'title'=>"Revert"));
                        ?>
                        </div>
                   </div>
                   <div class="row <?php echo $bootstrapClass->getBootstrapClass("topicAdd","marginLabel");?>">
                        <div class="<?php echo $bootstrapClass->getBootstrapClass("topicAdd","span3");?>">Title*</div>
                        <div class="<?php echo $bootstrapClass->getBootstrapClass("topicAdd","span6");?>">
                              <?php echo $form->textField($topicForm,'title',
                          		array('class'=>$bootstrapClass->getBootstrapClass("topicAdd","formControl")));?>
                          		 <?php echo $form->error($topicForm,'title',array(
                          		 		'class'=>$bootstrapClass->getBootstrapClass("topicAdd","textError")));
                          		 echo "<br />";
                          		 ?>
                        </div>
                        <div class="<?php echo $bootstrapClass->getBootstrapClass("topicAdd","span3Mtop4");?>"></div>
                   </div>
                   <div class="row ">
                        <div class="<?php echo $bootstrapClass->getBootstrapClass("topicAdd","span3");?>">Parent</div>
                        <div class="<?php echo $bootstrapClass->getBootstrapClass("topicAdd","span6");?>">
                             <?php
                        if($editTopic)
                        {
                        	echo "<div class='Wbreak'>".CHtml::encode($topicForm->parent)."</div>";
                        	
                        }
                        else
                     {
                        	echo $form->dropDownList($topicForm,'parent',$topicList,
								array("empty"=>"No Parent",
									'class'=>$bootstrapClass->getBootstrapClass("topicAdd","formControl"))
								); 
							echo $form->error($topicForm,'parent',array('class'=>'text-danger'));
							
                        } ?>
                        </div>
                        <div class="<?php echo $bootstrapClass->getBootstrapClass("topicAdd","span3Mtop4");?>"></div>
                   </div>
                   <div class="row <?php echo $bootstrapClass->getBootstrapClass("topicAdd","marginLabel");?>">
                        <div class="<?php echo $bootstrapClass->getBootstrapClass("topicAdd","span3");?>">Body</div>
                        <div class="<?php echo $bootstrapClass->getBootstrapClass("topicAdd","span6");?>">
                             <?php  /* $this->widget('application.extensions.cleditor.ECLEditor', array(
									        'model'=>$topicForm,
									        'attribute'=>'body', //Model attribute name. Nome do atributo do modelo.
									        'options'=>array(
									            'width'=>'100%',
									            'height'=>250,
									     		'class'=>'text_big',
									            'useCSS'=>true,
									        ),
									        'value'=>'', //If you want pass a value for the widget. I think you will. Se você precisar passar um valor para o gadget. Eu acho irá.
   												 )); */
                        				$this->widget('ext.helpSystem.extensions.dmEditor.DMEditor',array(
												'model'=>$topicForm,
												'attribute'=>'body',

											)
										);
									echo $form->error($topicForm,'body',array(
										'class'=>$bootstrapClass->getBootstrapClass("topicAdd","textError")));?>
                        </div>                        
                   </div>  
                    <div class="row <?php echo $bootstrapClass->getBootstrapClass("topicAdd","marginLabel");?>">
                        <div class="<?php echo $bootstrapClass->getBootstrapClass("topicAdd","span3");?>">&nbsp;</div>
                        <div class="<?php echo $bootstrapClass->getBootstrapClass("topicAdd","span6");?>">
                        <?php echo CHtml::submitButton("Save",array("class"=>"btn btn-primary saveButton","title"=>"Save"))?>
                          	&nbsp;<?php 
                          			echo  CHtml::link('Cancel',Yii::app()->createUrl("helpSystem/admin/topic"),
                          					array('title'=>'Cancel',
                          					'class'=>'btn btn-default')
                          			);
                          	?>
                        
                        
                        </div> 
                                               
                   </div>                 
                   <?php $this->endWidget(); ?>
                </div>
          
          </div>
      </div>